@import 'variables';

#login {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  background: $text;

  h1 {
    margin-top: 10vh;
    margin-left: 50%;
    transform: translateX(-50%);
    text-align: center;
    font-weight: 700;
    font-style: italic;
    font-size: 2.5rem;
    line-height: 5rem;
    text-transform: uppercase;
    @include gradient-text($grad1);

    @media #{$mq-phone} {
      font-size: 1.5rem;
      width: 90%;
      line-height: 3rem;
    }
  }

  h3 {
    text-align: center;
    font-weight: 500;
    font-style: italic;
    text-transform: uppercase;
    font-size: 1.6rem;
    line-height: 2.6rem;
    @include gradient-text($grad1);

    @media #{$mq-phone} {
      font-size: 1.4rem;
    }
  }

  .login-form {
    position: absolute;
    bottom: 30%;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    flex-direction: row;
    align-items: center;

    .input-wrapper {
      position: relative;
      width: 400px;
      background: $grad1;
      border-radius: 100px;
      @media #{$mq-phone} {
        width: 250px;
      }

      input {
        width: calc(100% - (10px + 15px * 2));
        height: calc(100% - 10px);
        margin: 5px 0 5px 5px;
        padding: 7px 15px;
        background: $text;
        border-radius: 1000px;
        color: $bg;
        font-weight: 500;
        font-style: italic;
        font-size: 1.2rem;
        letter-spacing: -5px;
        @media #{$mq-phone} {
          font-size: 1rem;
        }

        &::placeholder {
          opacity: 1;
          font-style: inherit;
          font-weight: inherit;
          font-size: inherit;
          letter-spacing: 0;
        }
      }

      &:after {
        content: '';
        z-index: -1;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 103%;
        height: 104%;
        border-radius: 1000px;
        background: $grad1;
        filter: blur(15px);
        opacity: 0.4;
      }
    }

    button {
      height: 40px;
      width: 40px;
      margin-left: 50px;
      background: $bg;
      border-radius: 1000px;
      transition: 0.1s all ease-in-out;
      @media #{$mq-phone} {
        height: 30px;
        width: 30px;
        margin-left: 25px;
      }

      svg {
        width: 150%;
        height: 150%;
        margin-top: -25%;
        margin-left: -25%;
        fill: url('#base-gradient');
      }

      &:hover {
        transform: scale(1.2);
      }
    }
  }
}
